×

Discussion Board

Results 1 to 8 of 8
  1. #1
    Registered User
    Join Date
    Apr 2011
    Posts
    7

    Question any updations needed in the dependent add-ons(like QCA) for 4.7.2

    Hi everyone,

    I am trying to install QCA for the QT 4.7.2 on windows machine...(actually i am stuck at it) i think there are major changes happened when 4.7.2 came bundled with the SDK.(such as QTPATH)

    so, am I wrong and just missing any small point ....

    or is there any hardcoded dependency that has affecting the DeltaXMPP project(i.e. QCA).

    thanks for ur attention.

    yogesh.

  2. #2
    Super Contributor
    Join Date
    Mar 2004
    Location
    Singapore
    Posts
    9,968

    Re: any updations needed in the dependent add-ons(like QCA) for 4.7.2

    if you use the Qt SDK's command prompt all paths will be set for you.

  3. #3
    Registered User
    Join Date
    Apr 2011
    Posts
    7

    Re: any updations needed in the dependent add-ons(like QCA) for 4.7.2

    FAILED win32compile2object for winscw_udeb.mwccinc: src\qca_tools.cpp
    mmp: src\qca_dll.mmp
    src\qca_tools.cpp:47: undefined identifier 'mlock'
    src\qca_tools.cpp:49: undefined identifier 'munlock'

    Errors caused tool to abort.

    compile : src\qca_core.cpp [winscw_udeb.mwccinc]
    compile : src\qca_plugin.cpp [winscw_udeb.mwccinc]
    compile : src\qca_basic.cpp [winscw_udeb.mwccinc]
    C:/QtSDK/Symbian/tools/sbs/lib/flm/win32.flm:344: warning: overriding commands for target `C:/QtSDK/Symbian/SDKs/Symbian3Qt472/epoc32/bu
    ild/qca-2.0.1/c_c1bdcb5d224a84ae/cms_exe/winscw/udeb/cms.UID.CPP'
    C:/QtSDK/Symbian/tools/sbs/lib/flm/win32.flm:344: warning: ignoring old commands for target `C:/QtSDK/Symbian/SDKs/Symbian3Qt472/epoc32/
    build/qca-2.0.1/c_c1bdcb5d224a84ae/cms_exe/winscw/udeb/cms.UID.CPP'
    C:/QtSDK/Symbian/tools/sbs/lib/flm/win32.flm:434: warning: overriding commands for target `C:/QtSDK/Symbian/SDKs/Symbian3Qt472/epoc32/bu
    ild/qca-2.0.1/c_c1bdcb5d224a84ae/cms_exe/winscw/udeb/cms_UID_.o'
    C:/QtSDK/Symbian/tools/sbs/lib/flm/win32.flm:434: warning: ignoring old commands for target `C:/QtSDK/Symbian/SDKs/Symbian3Qt472/epoc32/
    build/qca-2.0.1/c_c1bdcb5d224a84ae/cms_exe/winscw/udeb/cms_UID_.o'
    C:/QtSDK/Symbian/tools/sbs/lib/flm/win32.flm:436: warning: overriding commands for target `C:/QtSDK/Symbian/SDKs/Symbian3Qt472/epoc32/bu
    ild/qca-2.0.1/c_c1bdcb5d224a84ae/cms_exe/winscw/udeb/cms.UID.CPP.winscw.udeb.pre'
    C:/QtSDK/Symbian/tools/sbs/lib/flm/win32.flm:436: warning: ignoring old commands for target `C:/QtSDK/Symbian/SDKs/Symbian3Qt472/epoc32/
    build/qca-2.0.1/c_c1bdcb5d224a84ae/cms_exe/winscw/udeb/cms.UID.CPP.winscw.udeb.pre'
    C:/QtSDK/Symbian/tools/sbs/lib/flm/win32.flm:552: warning: overriding commands for target `C:/QtSDK/Symbian/SDKs/Symbian3Qt472/epoc32/re
    lease/winscw/udeb/cms.exe'
    C:/QtSDK/Symbian/tools/sbs/lib/flm/win32.flm:552: warning: ignoring old commands for target `C:/QtSDK/Symbian/SDKs/Symbian3Qt472/epoc32/
    release/winscw/udeb/cms.exe'
    mingw32-make[1]: *** [C:/QtSDK/Symbian/SDKs/Symbian3Qt472/epoc32/build/qca-2.0.1/c_c1bdcb5d224a84ae/qca_dll/winscw/udeb/qca_tools.o] Err
    or 1
    mingw32-make[1]: *** Waiting for unfinished jobs....
    sbs: error: The make-engine exited with errors.

    sbs : warnings: 9
    sbs : errors: 4

    built 'winscw_udeb.mwccinc'

    Run time 116 seconds


    please help me if you can.....
    thank you for ur reply.
    Last edited by SonarYogesh; 2011-04-14 at 10:38.

  4. #4
    Registered User
    Join Date
    Apr 2011
    Posts
    7

    Re: any updations needed in the dependent add-ons(like QCA) for 4.7.2

    C:\qca-2.0.1>make
    ABLD.BAT build winscw udeb
    make -r -f "\S60\devices\Nokia_Symbian3_SDK_v0.9_3\EPOC32\BUILD\qca-2.0.1\EXP
    ORT.make" EXPORT VERBOSE=-s
    make[1]: Entering directory `C:/qca-2.0.1'
    Nothing to do
    make[1]: Leaving directory `C:/qca-2.0.1'
    make -r -f "\S60\devices\Nokia_Symbian3_SDK_v0.9_3\EPOC32\BUILD\qca-2.0.1\WIN
    SCW.make" MAKEFILE VERBOSE=-s
    make[1]: Entering directory `C:/qca-2.0.1'
    make -s -C \qca-2.0.1\src -f "MAKEFILE_0XE77857B7.MK" TO_ROOT=..\.. EPOCBLD=..\
    ..\S60\devices\Nokia_Symbian3_SDK_v0.9_3\EPOC32\BUILD\qca-2.0.1\MAKEFILE_0XE7785
    7B7\WINSCW TO_BLDINF=..\..\qca-2.0.1 PLATFORM=WINSCW MAKMAKE
    perl -S makmake.pl -D \qca-2.0.1\src\SRC_0XE77857B7 WINSCW
    WARNING: Frozen .def file \qca-2.0.1\src\bwins\qcau.def not found - project not
    frozen



    this is the actual starting of errors....and they go on

  5. #5
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: any updations needed in the dependent add-ons(like QCA) for 4.7.2

    Please use [CODE] tags to enclose your copy/pasted code sections or build output, it makes everything a lot easier to read.

    You are calling make, which defaults to a "ABLD.BAT build winscw udeb" comman. WINSCW is the build platform defined for the Symbian emulator, and such a platform does not exist in the Qt SDK.

    Try "make debug-gcce" instead.

    Also, it is Qt not QT and 4.7.2 is old, the current SDK contains Qt 4.7.3, which will be the officially supported version. You can still use this version if updating the SDK takes too much effort, but remember not to complain about bugs observed in your builds (assuming that you manage to create them) before verifying with Qt 4.7.3
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  6. #6
    Registered User
    Join Date
    Apr 2011
    Posts
    7

    Re: any updations needed in the dependent add-ons(like QCA) for 4.7.2

    Hi Lucian,

    I am trying everything to got working with QCA and i dont think there is any problem with QTSDK...
    its the plugins
    i think they r not upgraded as the version speeding to evolve....
    I actually downgraded to Qt 4.7.0 and got this after crossing my finger.

    Code:
    Setting up environment for Qt usage
    
    C:\Qt\4.7.0>cd ../..
    
    C:\>cd qca-2.0.1
    
    C:\qca-2.0.1>make freeze debug-gcce
    C:\S60\devices\Nokia_Symbian3_SDK_v0.9_3\epoc32\tools\make.exe: *** No rule to m
    ake target `freeze'.  Stop.
    
    C:\qca-2.0.1>
    thanks for enlighting me on so much things...your guidance is desperately needed..

    thank you
    yogesh

  7. #7
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: any updations needed in the dependent add-ons(like QCA) for 4.7.2

    Hmm, make freeze seems to work with SBSv2, which you apparently don't have installed in the Nokia S^3 SDK.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  8. #8
    Registered User
    Join Date
    Apr 2011
    Posts
    7

    Re: any updations needed in the dependent add-ons(like QCA) for 4.7.2

    sorry sir, I had it and i can tell this with all my confidence.

Similar Threads

  1. Replies: 2
    Last Post: 2006-12-18, 21:02
  2. Graphics Needed for a game like DXball/Bricks
    By asif79 in forum Mobile Java General
    Replies: 0
    Last Post: 2004-12-27, 06:11
  3. Any API for Add SMS Templates in SDK 60 Series Phones
    By ramupc in forum Mobile Java General
    Replies: 1
    Last Post: 2004-04-19, 16:01

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×